using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace FMSAdmin.Entities {
    public partial class WeatherDustSidoInfo {
        [StringLength(50)]
        public string Sido { get; set; }
        [Column("stationName"), Display(Name = "측정소명")]
        [StringLength(50)]
        public string StationName { get; set; }
        [Column("dataTime", TypeName = "datetime"), Display(Name = "측정일")]
        public DateTime? DataTime { get; set; }
        [Column("so2Value"), Display(Name = "아황산가스 농도")]
        public double? So2Value { get; set; }
        [Column("coValue"), Display(Name = "일산화탄소 농도")]
        public double? CoValue { get; set; }
        [Column("o3Value"), Display(Name = "오존 농도")]
        public double? O3Value { get; set; }
        [Column("no2Value"), Display(Name = "이산화질소 농도")]
        public double? No2Value { get; set; }
        [Column("pm10Value"), Display(Name = "미세먼지 농도")]
        public double? Pm10Value { get; set; }
        [Column("pm10ValueP"), Display(Name = "미세먼지 24시간 예측이동 농도")]
        public double? Pm10ValueP { get; set; }
        [Column("pm25Value"), Display(Name = "초미세먼지 농도")]
        public double? Pm25Value { get; set; }
        [Column("pm25ValueP"), Display(Name = "초미세먼지 24시간 예측이동 농도")]
        public double? Pm25ValueP { get; set; }
        [Column("khaiValue"), Display(Name = "통합대기 환경수치")]
        public double? KhaiValue { get; set; }
        [Column("khaiGrade"), Display(Name = "통합대기 환경지수")]
        public int? KhaiGrade { get; set; }
        [Column("so2Grade"), Display(Name = "아황산가스 지수")]
        public int? So2Grade { get; set; }
        [Column("coGrade"), Display(Name = "일산화질소 지수")]
        public int? CoGrade { get; set; }
        [Column("o3Grade"), Display(Name = "오존 지수")]
        public int? O3Grade { get; set; }
        [Column("no2Grade"), Display(Name = "이산화질소 지수")]
        public int? No2Grade { get; set; }
        [Column("pm10Grade"), Display(Name = "미세먼지 24시간 등급")]
        public int? Pm10Grade { get; set; }
        [Column("pm25Grade"), Display(Name = "미세먼지 24시간 등급")]
        public int? Pm25Grade { get; set; }
        [Column("DBTime", TypeName = "datetime")]
        public DateTime? Dbtime { get; set; }
    }
}
